Package org.spongepowered.asm.mixin.injection.selectors

## Class InvalidSelectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.spongepowered.asm.mixin.throwables.MixinException
        - - org.spongepowered.asm.mixin.injection.selectors.InvalidSelectorException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `InvalidMemberDescriptorException`, `TargetNotSupportedException`

      public class InvalidSelectorException
      extends org.spongepowered.asm.mixin.throwables.MixinException

  Exception to be thrown from `ITargetSelector.validate()` when a target selector fails verification
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidSelectorException​(java.lang.String message)` |
    `InvalidSelectorException​(java.lang.String message, java.lang.Throwable cause)` |
    `InvalidSelectorException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.spongepowered.asm.mixin.throwables.MixinException

      `getMessage, prepend`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidSelectorException

          public InvalidSelectorException​(java.lang.String message)

    - #### InvalidSelectorException

          public InvalidSelectorException​(java.lang.Throwable cause)

    - #### InvalidSelectorException

          public InvalidSelectorException​(java.lang.String message,
                                          java.lang.Throwable cause)